Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.server.oauth.core.consumer
Class ConsumerStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.oauth.OAuthException
                  org.eclipse.lyo.server.oauth.core.consumer.ConsumerStoreException

All Implemented Interfaces:
  Serializable

    public class ConsumerStoreException

extends net.oauth.OAuthException

Indicates an error occurred loading or saving consumer data.

Author:
  Samuel Padgett
See Also:
  Serialized Form

Constructor Summary
`ConsumerStoreException()`
`ConsumerStoreException(String message)`
`ConsumerStoreException(String message, Throwable cause)`
`ConsumerStoreException(Throwable cause)`

Method Summary
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsumerStoreException

    public ConsumerStoreException()

### ConsumerStoreException

    public ConsumerStoreException(String message,
                                  Throwable cause)

### ConsumerStoreException

    public ConsumerStoreException(String message)

### ConsumerStoreException

    public ConsumerStoreException(Throwable cause)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.